LIST_FOR_EAC(9)

NAME
list_for_each_entry_safe_continue - iterate over list of given type

SYNOPSIS

list_for_each_entry_safe_continue (pos, n, head, member);

ARGUMENTS

pos the type * to use as a loop counter.

n   another type * to use as temporary storage

head
    the head for your list.

member
    the name of the list_struct within the struct.

DESCRIPTION

continuing after existing point safe against removal of list entry